'use strict';

Vtiger_Base_Validator_Js('Vtiger_Email_Validator_Js',{invokeValidation:function invokeValidation(field){var emailInstance=new Vtiger_Email_Validator_Js;emailInstance.setElement(field);var response=emailInstance.validate();if(!0!=response)return emailInstance.getError()}},{getFieldValue:function getFieldValue(){return this.getElement().val()},validate:function validate(){var fieldValue=this.getFieldValue();return this.validateValue(fieldValue)},validateValue:function validateValue(fieldValue){var emailFilter=/^[_/a-zA-Z0-9*]+([!"#$%&'()*+,./:;<=>?\^_`{|}~-]?[a-zA-Z0-9/_/-])*@[a-zA-Z0-9]+([\_\-\.]?[a-zA-Z0-9]+)*\.([\-\_]?[a-zA-Z0-9])+(\.?[a-zA-Z0-9]+)?$/,illegalChars=/[\(\)\<\>\,\;\:\\\"\[\]]/;if(!emailFilter.test(fieldValue))return this.setError(app.vtranslate('JS_PLEASE_ENTER_VALID_EMAIL_ADDRESS')),!1;if(fieldValue.match(illegalChars))return this.setError(app.vtranslate('JS_CONTAINS_ILLEGAL_CHARACTERS')),!1;var field=this.getElement(),fieldData=field.data(),fieldInfo=fieldData.fieldinfo;return !(fieldInfo&&fieldInfo.restrictedDomains&&-1!==fieldInfo.restrictedDomains.indexOf(fieldValue.split('@').pop()))||(this.setError(app.vtranslate('JS_EMAIL_RESTRICTED_DOMAINS')),!1)}}),Vtiger_Base_Validator_Js('Vtiger_Phone_Validator_Js',{},{validate:function validate(){var fieldValue=this.getFieldValue();return this.validateValue(fieldValue)},validateValue:function validateValue(fieldValue){if(''==fieldValue)return !0;var field=this.getElement(),form=field.closest('form'),fieldData=field.data(),result=!0;if(1==fieldData.advancedVerification){var thisInstance=this,fieldInfo=fieldData.fieldinfo,group=field.closest('.input-group'),phoneCountryList=group.find('.phoneCountryList');field.attr('readonly',!0);var moduleName=form.find('[name="module"]').length?form.find('[name="module"]').val():app.getModuleName();'LayoutEditor'===moduleName&&(moduleName=$('#selectedModuleName').val()),AppConnector.request({async:!1,data:{module:moduleName,action:'Fields',mode:'verifyPhoneNumber',fieldName:fieldInfo.name,phoneNumber:fieldValue,phoneCountry:phoneCountryList.val()}}).done(function(data){!1==data.result.isValidNumber?(thisInstance.setError(data.result.message),result=!1):(field.val(data.result.number),field.attr('title',data.result.geocoding+' '+data.result.carrier),phoneCountryList.val()!=data.result.country&&phoneCountryList.val(data.result.country).trigger('change')),field.attr('readonly',!1);});}return result}}),Vtiger_Base_Validator_Js('Vtiger_UserName_Validator_Js',{invokeValidation:function invokeValidation(field){var usernameInstance=new Vtiger_UserName_Validator_Js;usernameInstance.setElement(field);var response=usernameInstance.validate();if(!0!=response)return usernameInstance.getError()}},{validate:function validate(){var fieldValue=this.getFieldValue(),negativeRegex=/^[a-zA-Z0-9_.@]{3,32}$/,result=negativeRegex.test(fieldValue);if(!result){var errorInfo=app.vtranslate('JS_CONTAINS_ILLEGAL_CHARACTERS');return this.setError(errorInfo),!1}return !0}}),Vtiger_Base_Validator_Js('Vtiger_Integer_Validator_Js',{invokeValidation:function invokeValidation(field){var integerInstance=new Vtiger_Integer_Validator_Js;integerInstance.setElement(field);var response=integerInstance.validate();if(!0!=response)return integerInstance.getError()}},{validate:function validate(){var fieldValue=this.getFieldValue(),groupSeperator=CONFIG.currencyGroupingSeparator,integerRegex=new RegExp('(^[-+]?[\\d\\'+groupSeperator+']+)$','g'),decimalIntegerRegex=new RegExp('(^[-+]?[\\d\\'+groupSeperator+']?).\\d+$','g');if(!fieldValue.match(integerRegex)&&!fieldValue.match(decimalIntegerRegex)){var errorInfo=app.vtranslate('JS_PLEASE_ENTER_INTEGER_VALUE');return this.setError(errorInfo),!1}var fieldInfo=this.getElement().data().fieldinfo;if(!fieldInfo||!fieldInfo.maximumlength)return !0;var ranges=fieldInfo.maximumlength.split(',');if(2===ranges.length){if(fieldValue>parseFloat(ranges[1])||fieldValue<parseFloat(ranges[0]))return errorInfo=app.vtranslate('JS_ERROR_MAX_VALUE'),this.setError(errorInfo),!1;}else if(fieldValue>parseFloat(ranges[0])||0>fieldValue)return errorInfo=app.vtranslate('JS_ERROR_MAX_VALUE'),this.setError(errorInfo),!1;return !0}}),Vtiger_Integer_Validator_Js('Vtiger_Double_Validator_Js',{invokeValidation:function invokeValidation(field){var doubleValidator=new Vtiger_Double_Validator_Js;doubleValidator.setElement(field);var response=doubleValidator.validate();if(!0!=response)return doubleValidator.getError()}},{validate:function validate(){var response=this._super();if(!1==response){var fieldValue=this.getFieldValue(),doubleRegex=/(^[-+]?\d+)\.\d+$/;if(!fieldValue.match(doubleRegex)){var errorInfo=app.vtranslate('JS_PLEASE_ENTER_DECIMAL_VALUE');return this.setError(errorInfo),!1}return !0}return response}}),Vtiger_Base_Validator_Js('Vtiger_PositiveNumber_Validator_Js',{invokeValidation:function invokeValidation(field){var positiveNumberInstance=new Vtiger_PositiveNumber_Validator_Js;positiveNumberInstance.setElement(field);var response=positiveNumberInstance.validate();if(!0!=response)return positiveNumberInstance.getError()}},{validate:function validate(){var response=this._super();if(!0!==response)return response;var fieldValue=this.getFieldValue(),negativeRegex=/(^[-]+\d+)$/,parseFieldValue=App.Fields.Double.formatToDb(this.getFieldValue());if(isNaN(parseFieldValue)||0>fieldValue||fieldValue.match(negativeRegex)){var errorInfo=app.vtranslate('JS_ACCEPT_POSITIVE_NUMBER');return this.setError(errorInfo),!1}var maximumLength=null;if(maximumLength=this.getElement().data().fieldinfo?this.getElement().data().fieldinfo.maximumlength:this.getElement().data('maximumlength'),!maximumLength)return !0;var ranges=maximumLength.split(',');if(2===ranges.length){if(fieldValue>parseFloat(ranges[1])||fieldValue<parseFloat(ranges[0]))return errorInfo=app.vtranslate('JS_ERROR_MAX_VALUE'),this.setError(errorInfo),!1;}else if(fieldValue>parseFloat(ranges[0])||0>fieldValue)return errorInfo=app.vtranslate('JS_ERROR_MAX_VALUE'),this.setError(errorInfo),!1;return !0}}),Vtiger_PositiveNumber_Validator_Js('Vtiger_Percentage_Validator_Js',{invokeValidation:function invokeValidation(field){var percentageInstance=new Vtiger_Percentage_Validator_Js;percentageInstance.setElement(field);var response=percentageInstance.validate();if(!0!=response)return percentageInstance.getError()}},{validate:function validate(){var response=this._super();return !0==response?!(100<App.Fields.Double.formatToDb(this.getFieldValue()))||(this.setError(app.vtranslate('JS_PERCENTAGE_VALUE_SHOULD_BE_LESS_THAN_100')),!1):response}}),Vtiger_Base_Validator_Js('Vtiger_Url_Validator_Js',{},{validate:function validate(){var fieldValue=this.getFieldValue(),regexp=/(^|\s)((https?:\/\/)?[\w-]+(\.[\w-]+)+\.?(:\d+)?(\/\S*)?)/gi,result=regexp.test(fieldValue);if(result||0!==fieldValue.indexOf('http://')&&0!==fieldValue.indexOf('https://')&&0!==fieldValue.indexOf('ftp://')&&0!==fieldValue.indexOf('ftps://')&&0!==fieldValue.indexOf('telnet://')&&0!==fieldValue.indexOf('smb://')&&0!==fieldValue.indexOf('www.')||(result=!0),!result){var errorInfo=app.vtranslate('JS_CONTAINS_ILLEGAL_CHARACTERS');return this.setError(errorInfo),!1}return !0}}),Vtiger_Base_Validator_Js('Vtiger_MultiSelect_Validator_Js',{invokeValidation:function invokeValidation(field){var validatorInstance=new Vtiger_MultiSelect_Validator_Js;validatorInstance.setElement(field);var result=validatorInstance.validate();return !0==result?result:validatorInstance.getError()}},{validate:function validate(){var fieldInstance=this.getElement(),selectElementValue=fieldInstance.val();if(null==selectElementValue){var errorInfo=app.vtranslate('JS_PLEASE_SELECT_ATLEAST_ONE_OPTION');return this.setError(errorInfo),!1}return !0}}),Vtiger_Email_Validator_Js('Vtiger_MultiEmails_Validator_Js',{invokeValidation:function invokeValidation(field){var validatorInstance=new Vtiger_MultiEmails_Validator_Js;validatorInstance.setElement(field);var result=validatorInstance.validate();if(!result)return validatorInstance.getError()}},{validate:function validate(){var fieldInstance=this.getElement(),fieldInstanceValue=fieldInstance.val();if(''!=fieldInstanceValue){var i,emailsArr=fieldInstanceValue.split(',');for(i=0;i<emailsArr.length;++i){var result=this.validateValue(emailsArr[i]);if(!1==result)return result}return !0}}}),Vtiger_Double_Validator_Js('Vtiger_GreaterThanZero_Validator_Js',{invokeValidation:function invokeValidation(field){var GreaterThanZeroInstance=new Vtiger_GreaterThanZero_Validator_Js;GreaterThanZeroInstance.setElement(field);var response=GreaterThanZeroInstance.validate();if(!0!=response)return GreaterThanZeroInstance.getError()}},{validate:function validate(){var response=this._super();if(!0!=response)return response;var fieldValue=this.getFieldValue();if(0>=fieldValue){var errorInfo=app.vtranslate('JS_VALUE_SHOULD_BE_GREATER_THAN_ZERO');return this.setError(errorInfo),!1}return !0}}),Vtiger_PositiveNumber_Validator_Js('Vtiger_WholeNumber_Validator_Js',{invokeValidation:function invokeValidation(field){var instance=new Vtiger_WholeNumber_Validator_Js;instance.setElement(field);var response=instance.validate();if(!0!=response)return instance.getError()}},{validate:function validate(){var response=this._super();if(!0!==response)return response;var errorInfo,field=this.getElement(),fieldValue=this.getFieldValue(),fieldData=field.data(),fieldInfo=fieldData.fieldinfo;return !(0!=fieldValue%1)||(errorInfo=jQuery.isEmptyObject(fieldInfo)?app.vtranslate('INVALID_NUMBER'):app.vtranslate('INVALID_NUMBER_OF')+' '+fieldInfo.label,this.setError(errorInfo),!1)}}),Vtiger_Base_Validator_Js('Vtiger_lessThanToday_Validator_Js',{},{validate:function validate(){var field=this.getElement(),fieldData=field.data(),fieldDateFormat=fieldData.dateFormat,fieldInfo=fieldData.fieldinfo,fieldValue=this.getFieldValue();try{var fieldDateInstance=Vtiger_Helper_Js.getDateInstance(fieldValue,fieldDateFormat);}catch(err){return this.setError(err),!1}fieldDateInstance.setHours(0,0,0,0);var todayDateInstance=new Date;todayDateInstance.setHours(0,0,0,0);if(0>=todayDateInstance-fieldDateInstance){var errorInfo=fieldInfo.label+' '+app.vtranslate('JS_SHOULD_BE_LESS_THAN_CURRENT_DATE');return this.setError(errorInfo),!1}return !0}}),Vtiger_Base_Validator_Js('Vtiger_lessThanOrEqualToToday_Validator_Js',{},{validate:function validate(){var field=this.getElement(),fieldData=field.data(),fieldDateFormat=fieldData.dateFormat,fieldInfo=fieldData.fieldinfo,fieldValue=this.getFieldValue();try{var fieldDateInstance=Vtiger_Helper_Js.getDateInstance(fieldValue,fieldDateFormat);}catch(err){return this.setError(err),!1}fieldDateInstance.setHours(0,0,0,0);var todayDateInstance=new Date;todayDateInstance.setHours(0,0,0,0);if(0>todayDateInstance-fieldDateInstance){var errorInfo=fieldInfo.label+' '+app.vtranslate('JS_SHOULD_BE_LESS_THAN_OR_EQUAL_TO')+' '+app.vtranslate('JS_CURRENT_DATE');return this.setError(errorInfo),!1}return !0}}),Vtiger_Base_Validator_Js('Vtiger_greaterThanOrEqualToToday_Validator_Js',{},{validate:function validate(){var field=this.getElement(),fieldData=field.data(),fieldDateFormat=fieldData.dateFormat,fieldInfo=fieldData.fieldinfo,fieldValue=this.getFieldValue();try{var fieldDateInstance=Vtiger_Helper_Js.getDateInstance(fieldValue,fieldDateFormat);}catch(err){return this.setError(err),!1}fieldDateInstance.setHours(0,0,0,0);var todayDateInstance=new Date;todayDateInstance.setHours(0,0,0,0);if(0<todayDateInstance-fieldDateInstance){var errorInfo=fieldInfo.label+' '+app.vtranslate('JS_SHOULD_BE_GREATER_THAN_OR_EQUAL_TO')+' '+app.vtranslate('JS_CURRENT_DATE');return this.setError(errorInfo),!1}return !0}}),Vtiger_Base_Validator_Js('Vtiger_greaterThanDependentField_Validator_Js',{invokeValidation:function invokeValidation(field){var fieldForValidation=field[0];if('followup_date_start'==jQuery(fieldForValidation).attr('name'))var dependentFieldList=new Array('date_start');var instance=new Vtiger_greaterThanDependentField_Validator_Js;instance.setElement(field);var response=instance.validate(dependentFieldList);if(!0!=response)return instance.getError()}},{validate:function validate(dependentFieldList){var fieldLabel,field=this.getElement(),fieldInfo=field.data('fieldinfo');fieldLabel='undefined'==typeof fieldInfo?jQuery(field).attr('name'):fieldInfo.label;for(var contextFormElem=field.closest('form'),i=0;i<dependentFieldList.length;i++){var dependentField=dependentFieldList[i],dependentFieldInContext=jQuery('input[name='+dependentField+']',contextFormElem);if(0<dependentFieldInContext.length){var dependentFieldLabel=dependentFieldInContext.data('fieldinfo').label,fieldDateInstance=this.getDateTimeInstance(field),dependentFieldDateInstance=this.getDateTimeInstance(dependentFieldInContext);if(0>fieldDateInstance-dependentFieldDateInstance){var errorInfo=fieldLabel+' '+app.vtranslate('JS_SHOULD_BE_GREATER_THAN_OR_EQUAL_TO')+' '+dependentFieldLabel+'';return this.setError(errorInfo),!1}}}return !0},getDateTimeInstance:function getDateTimeInstance(field){var dateFormat=field.data('dateFormat'),fieldValue=field.val();try{var dateTimeInstance=Vtiger_Helper_Js.getDateInstance(fieldValue,dateFormat);}catch(err){return this.setError(err),!1}return dateTimeInstance}}),Vtiger_Base_Validator_Js('Vtiger_dateAndTimeGreaterThanDependentField_Validator_Js',{},{fieldDateTime:'',fieldDateTimeInstance:[],dateFormat:'',validate:function validate(dependentFieldList){var thisInstance=this,field=this.getElement(),fieldDateTime='',fieldDateTimeInstance=[],contextFormElem=field.closest('form'),view=contextFormElem.attr('name');if('EditView'==view)return !0;for(var j=0,i=0;i<dependentFieldList.length;i++){var dependentField=dependentFieldList[i],dependentFieldInContext=jQuery('input[name='+dependentField+']',contextFormElem);if(0<dependentFieldInContext.length)if('undefined'==typeof dependentFieldInContext.data('dateFormat')&&fieldDateTime)fieldDateTime+=' '+dependentFieldInContext.val(),fieldDateTimeInstance[j]=Vtiger_Helper_Js.getDateInstance(fieldDateTime,dateFormat),j++;else if('undefined'!=typeof dependentFieldInContext.data('dateFormat')){var dateFormat=dependentFieldInContext.data('dateFormat');fieldDateTime=dependentFieldInContext.val();}}return thisInstance.difference(fieldDateTimeInstance)},difference:function difference(fieldDateTimeInstance){if(2==fieldDateTimeInstance.length){var comparedDateVal=fieldDateTimeInstance[1]-fieldDateTimeInstance[0];if(0>comparedDateVal){var errorInfo=app.vtranslate('JS_AN_INCORRECT_RANGE_OF_DATES_WAS_ENTERED');return this.setError(errorInfo),!1}}return !0}}),Vtiger_Base_Validator_Js('Vtiger_futureEventCannotBeHeld_Validator_Js',{},{validate:function validate(dependentFieldList){for(var field=this.getElement(),fieldLabel=field.data('fieldinfo').label,status=field.val(),contextFormElem=field.closest('form'),i=0;i<dependentFieldList.length;i++){var dependentField=dependentFieldList[i],dependentFieldInContext=jQuery('input[name='+dependentField+']',contextFormElem);if(0<dependentFieldInContext.length){var dependentFieldLabel=dependentFieldInContext.data('fieldinfo').label,todayDateInstance=new Date,dateFormat=dependentFieldInContext.data('dateFormat'),time=jQuery('input[name=time_start]',contextFormElem),fieldValue=dependentFieldInContext.val()+' '+time.val(),dependentFieldDateInstance=Vtiger_Helper_Js.getDateInstance(fieldValue,dateFormat);if(0>todayDateInstance-dependentFieldDateInstance&&'Held'==status){var errorInfo=fieldLabel+' '+app.vtranslate('JS_FUTURE_EVENT_CANNOT_BE_HELD')+' '+dependentFieldLabel+'';return this.setError(errorInfo),!1}}}return !0}}),Vtiger_Base_Validator_Js('Vtiger_lessThanDependentField_Validator_Js',{},{validate:function validate(dependentFieldList){var field=this.getElement(),fieldLabel=field.data('fieldinfo').label,contextFormElem=field.closest('form');if(0!=field.val().length){for(var i=0;i<dependentFieldList.length;i++){var dependentField=dependentFieldList[i],dependentFieldInContext=jQuery('input[name='+dependentField+']',contextFormElem);if(0<dependentFieldInContext.length){var dependentFieldLabel=dependentFieldInContext.data('fieldinfo').label,fieldDateInstance=this.getDateTimeInstance(field);if(0==dependentFieldInContext.val().length)continue;var dependentFieldDateInstance=this.getDateTimeInstance(dependentFieldInContext);if(0<fieldDateInstance-dependentFieldDateInstance){var errorInfo=fieldLabel+' '+app.vtranslate('JS_SHOULD_BE_LESS_THAN_OR_EQUAL_TO')+' '+dependentFieldLabel+'';return this.setError(errorInfo),!1}}}return !0}},getDateTimeInstance:function getDateTimeInstance(field){var dateFormat=field.data('dateFormat'),fieldValue=field.val();try{var dateTimeInstance=Vtiger_Helper_Js.getDateInstance(fieldValue,dateFormat);}catch(err){return this.setError(err),!1}return dateTimeInstance}}),Vtiger_Base_Validator_Js('Vtiger_Currency_Validator_Js',{invokeValidation:function invokeValidation(field){var currencyValidatorInstance=new Vtiger_Currency_Validator_Js;currencyValidatorInstance.setElement(field);var response=currencyValidatorInstance.validate();if(!0!=response)return currencyValidatorInstance.getError()}},{validate:function validate(){var response=this._super();if(!0!=response)return response;var fieldData=this.getElement().data(),decimalSeparator=fieldData.decimalSeparator?fieldData.decimalSeparator:CONFIG.currencyDecimalSeparator,groupSeparator=fieldData.groupSeparator?fieldData.groupSeparator:CONFIG.currencyGroupingSeparator,strippedValue=this.getFieldValue().replace(decimalSeparator,''),spacePattern=/\s/;(spacePattern.test(decimalSeparator)||spacePattern.test(groupSeparator))&&(strippedValue=strippedValue.replace(/ /g,''));var errorInfo;'$'===groupSeparator&&(groupSeparator='\\$'),'.'===groupSeparator&&(groupSeparator='\\.');var regex=new RegExp(groupSeparator,'g');if(strippedValue=strippedValue.replace(regex,''),isNaN(strippedValue))return errorInfo=app.vtranslate('JS_CONTAINS_ILLEGAL_CHARACTERS'),this.setError(errorInfo),!1;if(0>strippedValue)return errorInfo=app.vtranslate('JS_ACCEPT_POSITIVE_NUMBER'),this.setError(errorInfo),!1;var maximumLength='undefined'==typeof fieldData.fieldinfo?null:fieldData.fieldinfo.maximumlength;return !(maximumLength&&strippedValue>parseFloat(maximumLength))||(errorInfo=app.vtranslate('JS_ERROR_MAX_VALUE'),this.setError(errorInfo),!1)}}),Vtiger_Currency_Validator_Js('Vtiger_NumberUserFormat_Validator_Js',{invokeValidation:function invokeValidation(field){var instance=new Vtiger_Currency_Validator_Js;if(instance.setElement(field),!0!==instance.validate())return instance.getError()}}),Vtiger_Base_Validator_Js('Vtiger_ReferenceField_Validator_Js',{},{validate:function validate(){var field=this.getElement(),parentElement=field.closest('.fieldValue'),referenceField=parentElement.find('.sourceField'),referenceFieldValue=referenceField.val();if(''==referenceFieldValue){var errorInfo=app.vtranslate('JS_REQUIRED_FIELD');return this.setError(errorInfo),!1}return !0}}),Vtiger_Base_Validator_Js('Vtiger_Date_Validator_Js',{invokeValidation:function invokeValidation(field){var dateValidatorInstance=new Vtiger_Date_Validator_Js;dateValidatorInstance.setElement(field);var response=dateValidatorInstance.validate();return !0==response?response:dateValidatorInstance.getError()}},{validate:function validate(){var field=this.getElement(),fieldData=field.data(),fieldDateFormat=fieldData.dateFormat,fieldValue=this.getFieldValue();try{if('range'!==fieldData.calendarType)fieldValue=[fieldValue];else if(fieldValue=fieldValue.split(','),2!==fieldValue.length)throw new Error;for(var key in fieldValue)Vtiger_Helper_Js.getDateInstance(fieldValue[key],fieldDateFormat);}catch(err){var errorInfo=app.vtranslate('JS_PLEASE_ENTER_VALID_DATE');return this.setError(errorInfo),!1}return !0}}),Vtiger_Date_Validator_Js('Vtiger_Datetime_Validator_Js',{},{}),Vtiger_Base_Validator_Js('Vtiger_Time_Validator_Js',{invokeValidation:function invokeValidation(field){var validatorInstance=new Vtiger_Time_Validator_Js;validatorInstance.setElement(field);var result=validatorInstance.validate();return !0==result?result:validatorInstance.getError()}},{validate:function validate(){var format=CONFIG.hourFormat;this.field.data('format')&&-1!=[12,24].indexOf(this.field.data('format'))&&(format=this.field.data('format'));var regexp='';switch(format){case 12:regexp=/^([0][0-9]|1[0-2]):([0-5][0-9])([ ]PM|[ ]AM|PM|AM)$/;break;default:regexp=/^(2[0-3]|[0][0-9]|1[0-9]):([0-5][0-9])$/;}if(!regexp.test(this.getFieldValue())){var errorInfo=app.vtranslate('JS_PLEASE_ENTER_VALID_TIME');return this.setError(errorInfo),!1}return !0}}),Vtiger_Base_Validator_Js('Vtiger_Twitter_Validator_Js',{invokeValidation:function invokeValidation(field){var validatorInstance=new Vtiger_Twitter_Validator_Js;validatorInstance.setElement(field);var result=validatorInstance.validate();return !0==result?result:validatorInstance.getError()}},{validate:function validate(){var fieldValue=this.getFieldValue();return !!fieldValue.match(/^[a-zA-Z0-9_]{1,15}$/g)||(this.setError(app.vtranslate('JS_PLEASE_ENTER_VALID_TWITTER_ACCOUNT')),!1)}}),Vtiger_Email_Validator_Js('Vtiger_MultiEmail_Validator_Js',{invokeValidation:function invokeValidation(field){var validatorInstance=new Vtiger_MultiEmail_Validator_Js;validatorInstance.setElement(field);var result=validatorInstance.validate();return !0==result?result:validatorInstance.getError()}},{validate:function validate(){var fieldValue=this.getFieldValue();if(''===fieldValue)return !0;if(!1===this.validateValue(fieldValue))return !1;for(var inputField,allFields=$(this.field).closest('div.js-multi-email').eq(0).find('[class*=js-multi-email-row]'),arrayLength=allFields.length,i=0;i<arrayLength;++i)if(inputField=$(allFields[i]).find('input.js-email').eq(0),''!==inputField.val()){var inputClass1=$(allFields[i]).closest('div[class*=js-multi-email-row-]').eq(0).attr('class'),inputClass2=$(this.field).closest('div[class*=js-multi-email-row-]').eq(0).attr('class');if(inputClass1!==inputClass2&&inputField.val()===fieldValue)return this.setError(app.vtranslate('JS_EMAIL_DUPLICATED')),!1}return !0}}),Vtiger_greaterThanDependentField_Validator_Js('Calendar_greaterThanDependentField_Validator_Js',{},{getDateTimeInstance:function getDateTimeInstance(field){var timeField,timeFieldValue,form=field.closest('form');'date_start'===field.attr('name')?(timeField=form.find('[name="time_start"]'),timeFieldValue=timeField.val()):'due_date'===field.attr('name')&&(timeField=form.find('[name="time_end"]'),timeFieldValue=0<timeField.length?timeField.val():'11:59 PM');var dateFieldValue=field.val()+' '+timeFieldValue,dateFormat=field.data('dateFormat');return Vtiger_Helper_Js.getDateInstance(dateFieldValue,dateFormat)}}),Vtiger_Base_Validator_Js('Calendar_greaterThanToday_Validator_Js',{},{validate:function validate(){var field=this.getElement(),fieldData=field.data(),fieldDateFormat=fieldData.dateFormat,fieldInfo=fieldData.fieldinfo,fieldValue=this.getFieldValue();try{var fieldDateInstance=Vtiger_Helper_Js.getDateInstance(fieldValue,fieldDateFormat);}catch(err){return this.setError(err),!1}fieldDateInstance.setHours(0,0,0,0);var todayDateInstance=new Date;todayDateInstance.setHours(0,0,0,0);if(0<=todayDateInstance-fieldDateInstance){var errorInfo=fieldInfo.label+' '+app.vtranslate('JS_SHOULD_BE_GREATER_THAN_CURRENT_DATE');return this.setError(errorInfo),!1}return !0}}),Vtiger_Base_Validator_Js('Calendar_RepeatMonthDate_Validator_Js',{invokeValidation:function invokeValidation(field){var repeatMonthDateValidatorInstance=new Calendar_RepeatMonthDate_Validator_Js;repeatMonthDateValidatorInstance.setElement(field);var response=repeatMonthDateValidatorInstance.validate();if(!0!=response)return repeatMonthDateValidatorInstance.getError()}},{validate:function validate(){var fieldValue=this.getFieldValue();if(parseInt(parseFloat(fieldValue))!=fieldValue||''==fieldValue||'31'<parseInt(fieldValue)||0>=parseInt(fieldValue)){var result=app.vtranslate('JS_NUMBER_SHOULD_BE_LESS_THAN_32');return this.setError(result),!1}return !0}}),Vtiger_WholeNumber_Validator_Js('Vtiger_WholeNumberGreaterThanZero_Validator_Js',{invokeValidation:function invokeValidation(field){var WholeNumberGreaterThanZero=new Vtiger_WholeNumberGreaterThanZero_Validator_Js;WholeNumberGreaterThanZero.setElement(field);var response=WholeNumberGreaterThanZero.validate();if(!0!=response)return WholeNumberGreaterThanZero.getError()}},{validate:function validate(){var response=this._super();if(!0!=response)return response;var fieldValue=this.getFieldValue();if(0==fieldValue){var errorInfo=app.vtranslate('JS_VALUE_SHOULD_BE_GREATER_THAN_ZERO');return this.setError(errorInfo),!1}return !0}}),Vtiger_Base_Validator_Js('Vtiger_AlphaNumeric_Validator_Js',{invokeValidation:function invokeValidation(field){var alphaNumericInstance=new Vtiger_AlphaNumeric_Validator_Js;alphaNumericInstance.setElement(field);var response=alphaNumericInstance.validate();if(!0!=response)return alphaNumericInstance.getError()}},{validate:function validate(){var field=this.getElement(),fieldValue=field.val(),alphaNumericRegex=/^[a-z0-9 _-]*$/i;if(!fieldValue.match(alphaNumericRegex)){var errorInfo=app.vtranslate('JS_CONTAINS_ILLEGAL_CHARACTERS');return this.setError(errorInfo),!1}return !0}}),Vtiger_Base_Validator_Js('Vtiger_AlphaNumericWithSlashesCurlyBraces_Validator_Js',{invokeValidation:function invokeValidation(field){var alphaNumericInstance=new Vtiger_AlphaNumericWithSlashesCurlyBraces_Validator_Js;alphaNumericInstance.setElement(field);var response=alphaNumericInstance.validate();if(!0!=response)return alphaNumericInstance.getError()}},{validate:function validate(){var field=this.getElement(),fieldValue=field.val(),alphaNumericRegex=/^[\/a-z\\0-9{}: _-]*$/i;if(!fieldValue.match(alphaNumericRegex)){var errorInfo=app.vtranslate('JS_CONTAINS_ILLEGAL_CHARACTERS');return this.setError(errorInfo),!1}return !0}}),Vtiger_Base_Validator_Js('Vtiger_InputMask_Validator_Js',{invokeValidation:function invokeValidation(field){var maskInstance=new Vtiger_InputMask_Validator_Js;maskInstance.setElement(field);var response=maskInstance.validate();if(!0!=response)return maskInstance.getError()}},{validate:function validate(){var response=this._super();if(!0!==response)return response;var errorInfo,field=this.getElement();if(field.attr('data-inputmask')){var unMaskedValue=field.inputmask('unmaskedvalue'),getMetaData=field.inputmask('getmetadata'),maskLength=(getMetaData.match(/9/g)||[]).length+(getMetaData.match(/A/g)||[]).length+(getMetaData.match(/'*'/g)||[]).length;if(0!==unMaskedValue.length&&maskLength>unMaskedValue.length)return errorInfo=app.vtranslate('JS_INVALID_LENGTH'),this.setError(errorInfo),window.inputMaskValidation=!0,!1;window.inputMaskValidation=!1;}return !window.inputMaskValidation||(errorInfo=app.vtranslate('JS_INVALID_LENGTH'),this.setError(errorInfo),!1)}}),Vtiger_Base_Validator_Js('Vtiger_Textparser_Validator_Js',{invokeValidation:function invokeValidation(field){var instance=new Vtiger_TextParser_Validator_Js;instance.setElement(field);var response=instance.validate();if(!0!=response)return instance.getError()}},{validate:function validate(){var response=this._super();if(!0!=response)return response;var field=this.getElement(),fieldValue=field.val(),regex=/^\$\((\w+) : ([,"\+\-\[\]\&\w\s\|]+)\)\$$/;if(!regex.test(fieldValue)){var errorInfo=app.vtranslate('JS_INVALID_LENGTH');return this.setError(errorInfo),!1}return !0}}),Vtiger_Base_Validator_Js('Vtiger_YetiForceCompanyName_Validator_Js',{invokeValidation:function invokeValidation(field){var instance=new Vtiger_YetiForceCompanyName_Validator_Js;instance.setElement(field);var response=instance.validate();if(!0!=response)return instance.getError()}},{validate:function validate(){var response=this._super();if(!0!=response)return response;var field=this.getElement(),fieldValue=field.val();return !(0<=fieldValue.toLowerCase().indexOf('yetiforce'))||(this.setError(app.vtranslate('JS_YETIFORCE_COMPANY_NAME_NOT_ALLOWED')),!1)}}),Vtiger_Base_Validator_Js('Vtiger_MultiImage_Validator_Js',{invokeValidation:function invokeValidation(field){var instance=new Vtiger_MultiImage_Validator_Js;if(instance.setElement(field),!0!=instance.validate())return instance.getError()}},{validate:function validate(){var response=this._super();if(!0!=response)return response;var field=this.getElement(),fieldValue=field.val();return !(field.data('fieldinfo').mandatory&&0===JSON.parse(fieldValue).length)||(this.setError(app.vtranslate('JS_REQUIRED_FIELD')),!1)}}),Vtiger_Base_Validator_Js('Vtiger_MaxSizeInByte_Validator_Js',{invokeValidation:function invokeValidation(field){var instance=new Vtiger_MaxSizeInByte_Validator_Js;if(instance.setElement(field),!0!=instance.validate())return instance.getError()}},{validate:function validate(){var response=this._super();if(!0!=response)return response;var field=this.getElement(),fieldValue=field.val();return !(field.data('fieldinfo').maximumlength&&new TextEncoder().encode(fieldValue).byteLength>field.data('fieldinfo').maximumlength)||(this.setError(app.vtranslate('JS_MAXIMUM_TEXT_SIZE_IN_BYTES')+' '+field.data('fieldinfo').maximumlength),!1)}});
//# sourceMappingURL=FieldValidator.min.js.map
